Fork me on GitHub"

# skbio.alignment.local_pairwise_align_ssw

skbio.alignment.local_pairwise_align_ssw(sequence1, sequence2, **kwargs)

  Align query and target sequences with Striped Smith-Waterman.

  Note

  Deprecated as of 0.5.8 for removal in 0.6.0. This will be removed or replaced, in favor of more general-purpose performant aligners. Additional details at https://github.com/biocore/scikit-bio/issues/1814

  Parameters:

    - sequence1 (DNA, RNA, or Protein) – The first unaligned sequence

    - sequence2 (DNA, RNA, or Protein) – The second unaligned sequence

  Returns:

    `TabularMSA` object containing the aligned sequences, alignment score (float), and start/end positions of each input sequence (iterable of two-item tuples). Note that start/end positions are indexes into the unaligned sequences.

  Return type:

    tuple

  Notes

  This is a wrapper for the SSW package [1].

  For a complete list of optional keyword-arguments that can be provided, see `skbio.alignment.StripedSmithWaterman`.

  The following kwargs will not have any effect: suppress_sequences, zero_index, and protein

  If an alignment does not meet a provided filter, None will be returned.

  References

  [1]

  Zhao, Mengyao, Wan-Ping Lee, Erik P. Garrison, & Gabor T. Marth. “SSW Library: An SIMD Smith-Waterman C/C++ Library for Applications”. PLOS ONE (2013). Web. 11 July 2014. http://www.plosone.org/article/info:doi/10.1371/journal.pone.0082138

  See also

  `skbio.alignment.StripedSmithWaterman`